Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class ReceiversImpl

    java.lang.Object
      org.jboss.mq.server.ReceiversImpl

All Implemented Interfaces:
  Receivers

public class ReceiversImpl
extends Object
implements Receivers

The default implementation of the Receivers interface.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Constructor Summary
`ReceiversImpl()`

Method Summary
`void` | `add(Subscription sub)` Add a receiver
`Iterator` | `iterator()` Get an iterator to loop over all receivers
`ArrayList` | `listReceivers()`
`void` | `remove(Subscription sub)` Remove a receiver
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReceiversImpl

    public ReceiversImpl()

Method Detail

### add

    public void add(Subscription sub)

  Description copied from interface: `Receivers`
  Add a receiver

  Specified by:
    `add` in interface `Receivers`
  Parameters:
    `sub` - the receiver to add

### iterator

    public Iterator iterator()

  Description copied from interface: `Receivers`
  Get an iterator to loop over all receivers

  Specified by:
    `iterator` in interface `Receivers`
  Returns:
    the iterator

### listReceivers

    public ArrayList listReceivers()

  Specified by:
    `listReceivers` in interface `Receivers`
  Returns:
    the subscriptions as an array list, this must be a clone of any internal datastructure

### remove

    public void remove(Subscription sub)

  Description copied from interface: `Receivers`
  Remove a receiver

  Specified by:
    `remove` in interface `Receivers`
  Parameters:
    `sub` - the receiver to remove

### size

    public int size()

  Specified by:
    `size` in interface `Receivers`
  Returns:
    Get the number of receivers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.